diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index c6f95fa688..64614b569c 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -6452,6 +6452,22 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
       <entry>Owner of the statistics object</entry>
      </row>
 
+     <row>
+      <entry><structfield>stxstattarget</structfield></entry>
+      <entry><type>int4</type></entry>
+      <entry></entry>
+      <entry>
+       <structfield>stxstattarget</structfield> controls the level of detail
+       of statistics accumulated for this statistics object by
+       <xref linkend="sql-analyze"/>.
+       A zero value indicates that no statistics should be collected.
+       A negative value says to use the system default statistics target.
+       Positive values <structfield>stxstattarget</structfield>
+       determine the target number of <quote>most common values</quote>
+       to collect.
+      </entry>
+     </row>
+
      <row>
       <entry><structfield>stxkeys</structfield></entry>
       <entry><type>int2vector</type></entry>
